Bug 1005407 - [selinux] Denial when using the ipsec command
[selinux] Denial when using the ipsec command
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreswan (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 16:19 EDT by Fabian Deutsch
Modified: 2014-09-19 06:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: libreswan-3.10-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-19 06:12:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2013-09-06 16:19:20 EDT
# ipsec showhostkey --dump

Raw Audit Messages
type=AVC msg=audit(1378498440.919:504): avc:  denied  { write } for  pid=2632 comm="pluto" name="cert8.db" dev="sda2" ino=267114 scontext=system_u:system_r:ipsec_t:s0 tcontext=unconfined_u:object_r:etc_t:s0 tclass=file


type=SYSCALL msg=audit(1378498440.919:504): arch=x86_64 syscall=open success=no exit=EACCES a0=7f8dd70a12a0 a1=242 a2=180 a3=0 items=0 ppid=2631 pid=2632 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=pluto exe=/usr/libexec/ipsec/pluto subj=system_u:system_r:ipsec_t:s0 key=(null)

Hash: pluto,ipsec_t,etc_t,file,write
Comment 1 Fabian Deutsch 2013-09-06 16:30:10 EDT
This happens when the service get's started.
Comment 2 Fedora Update System 2014-07-11 11:53:27 EDT
libreswan-3.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreswan-3.9-1.fc20
Comment 3 Fedora Update System 2014-07-11 11:54:31 EDT
libreswan-3.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreswan-3.9-1.fc19
Comment 4 Fedora Update System 2014-07-11 22:21:48 EDT
Package libreswan-3.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreswan-3.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8272/libreswan-3.9-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-09-09 15:17:48 EDT
libreswan-3.10-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreswan-3.10-3.fc20
Comment 6 Fedora Update System 2014-09-09 15:30:18 EDT
libreswan-3.10-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreswan-3.10-3.fc19
Comment 7 Fedora Update System 2014-09-19 06:12:29 EDT
libreswan-3.10-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-09-19 06:16:36 EDT
libreswan-3.10-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.